import React from "react";
import styles from "./loginPage.module.scss";
import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import Grid from "@mui/material/Grid";
import { UTILITY_CONSTANT } from "@/utilities/utilityConstant";
import Link from "next/link";
import CustomizedInputsStyled from "@/ui/CustomizedInputsStyled";
import CustomizedButtons from "@/ui/customizedButtons";

export default function LoginPage() {
  return (
    <main className={styles.loginPage}>
      <Grid container sx={{ height: "100%" }}>
        <Grid item display={{ xs: "none", md: "block" }} md={7}>
          <Box
            height={"100%"}
            sx={{ background: "var(--primary)" }}
            display={"flex"}
            alignItems={"center"}
            justifyContent={"space-between"}
          >
            <img
              src={UTILITY_CONSTANT.IMAGES.AUTH.LOGIN_BG}
              alt=""
              className={styles.images}
            />
          </Box>
        </Grid>
        <Grid item xs={12} md={5}>
          <Box
            width={"100%"}
            height={"100%"}
            display={"flex"}
            flexDirection={"column"}
            justifyContent={"space-between"}
            alignItems={"flex-start"}
            gap={4}
            paddingInline={5}
            paddingBlock={5}
          >
            <img src={UTILITY_CONSTANT.IMAGES.AUTH.HEADER_LOG} alt="logo" />
            <Box width={"100%"}>
              <Typography variant="h4">Welcome to Convexsol</Typography>
              <Typography variant="h4">Sign in to your account</Typography>
              <Box
                width={"100%"}
                marginBlockStart={"40px"}
                display={"flex"}
                alignItems={"flex-start"}
                flexDirection={"column"}
                gap={3}
              >
                <CustomizedInputsStyled label="User Name" type="text" />
                <CustomizedInputsStyled
                  label="Password"
                  type="password"
                  endAdornmentBoolean
                />
              </Box>
              <Box width={"100%"} marginBlockStart={"20px"}>
                <CustomizedButtons label={"Sign In"} />
              </Box>
            </Box>
            <Box
              width={"100%"}
              display={"flex"}
              alignItems={"center"}
              justifyContent={"space-between"}
              flexWrap={"wrap"}
              gap={2}
            >
              <Typography variant="caption">
                © 2024 ConvexSol. Pvt.Ltd. All rights reserved.
              </Typography>
              <Typography variant="caption">
                <Link href={"#"}>Privacy Policy</Link> |{" "}
                <Link href={"#"}>Terms of Use</Link>
              </Typography>
            </Box>
          </Box>
        </Grid>
      </Grid>
    </main>
  );
}
